# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename private

Name:               nodejs-private
Version:            0.1.5
Release:            1%{?dist}
Summary:            Utility for associating truly private state with any JavaScript object

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/private
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%description
A general-purpose utility for associating truly private state with any
JavaScript object.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/private
cp -pr package.json private.js \
    %{buildroot}%{nodejs_sitelib}/private

%nodejs_symlink_deps

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
node test/run.js
%endif

%files
%doc README.md LICENSE
%{nodejs_sitelib}/private/

%changelog
* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 0.1.5-1
- Initial packaging for Fedora.
